{: test that a conformant array parameter with missing index type causes
   a compilation error }

{$d+}
program e105( output );

type
   smallInt =  1..10;

var
   a : array['1'..'9'] of integer;

procedure test(aa : array[lo..hi] of integer);   { !!! missing index type }
var
   aa1 : array[smallInt] of integer;
   z   : smallInt;
begin
   z := lo;
   aa[z] := 3;
   aa[hi] := 3;
   writeln( 'fails: conformant array bounds error is not detected' );
end;
begin {e105}

   test(a);

end. { e105 }

